org.apache.storm.elasticsearch.bolt

## Class AbstractEsBolt

- java.lang.Object
- - org.apache.storm.topology.base.BaseComponent
  - - org.apache.storm.topology.base.BaseRichBolt
    - - org.apache.storm.topology.base.BaseTickTupleAwareRichBolt
      - - org.apache.storm.elasticsearch.bolt.AbstractEsBolt

- All Implemented Interfaces:
    Serializable, IBolt, IComponent, IRichBolt
  Direct Known Subclasses:
    EsIndexBolt, EsLookupBolt, EsPercolateBolt

      public abstract class AbstractEsBolt
      extends BaseTickTupleAwareRichBolt

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.elasticsearch.client.RestClient` | `client`
    `protected OutputCollector` | `collector`
    `protected static com.fasterxml.jackson.databind.ObjectMapper` | `objectMapper`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractEsBolt(EsConfig esConfig)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `declareOutputFields(OutputFieldsDeclarer outputFieldsDeclarer)` Declare the output schema for all the streams of this topology.
    `void` | `prepare(Map<String,Object> map, TopologyContext topologyContext, OutputCollector outputCollector)` Called when a task for this component is initialized within a worker on the cluster.

    - ### Methods inherited from class org.apache.storm.topology.base.BaseTickTupleAwareRichBolt

      `execute, onTickTuple, process`

    - ### Methods inherited from class org.apache.storm.topology.base.BaseRichBolt

      `cleanup`

    - ### Methods inherited from class org.apache.storm.topology.base.BaseComponent

      `getComponentConfiguration`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.storm.topology.IComponent

      `getComponentConfiguration`

- - ### Field Detail

    - #### client

          protected static org.elasticsearch.client.RestClient client

    - #### objectMapper

          protected static final com.fasterxml.jackson.databind.ObjectMapper objectMapper

    - #### collector

          protected OutputCollector collector

  - ### Constructor Detail

    - #### AbstractEsBolt

          public AbstractEsBolt(EsConfig esConfig)

  - ### Method Detail

    - #### prepare

          public void prepare(Map<String,Object> map,
                              TopologyContext topologyContext,
                              OutputCollector outputCollector)

      Description copied from interface: `IBolt`

      Called when a task for this component is initialized within a worker on the cluster. It provides the bolt with the environment in which the bolt executes.

      This includes the:

      Parameters:
        `map` - The Storm configuration for this bolt. This is the configuration provided to the topology merged in with cluster configuration on this machine.
        `topologyContext` - This object can be used to get information about this task’s place within the topology, including the task id and component id of this task, input and output information, etc.
        `outputCollector` - The collector is used to emit tuples from this bolt. Tuples can be emitted at any time, including the prepare and cleanup methods. The collector is thread-safe and should be saved as an instance variable of this bolt object.

    - #### declareOutputFields

          public void declareOutputFields(OutputFieldsDeclarer outputFieldsDeclarer)

      Description copied from interface: `IComponent`

      Declare the output schema for all the streams of this topology.

      Parameters:
        `outputFieldsDeclarer` - this is used to declare output stream ids, output fields, and whether or not each output stream is a direct stream

Copyright © 2021 The Apache Software Foundation. All rights reserved.